<?php
if ( ! defined( 'ABSPATH' ) ) exit('You need Jesus!'); // Exit if accessed directly

function church_admin_hope_team_jobs()
{
	global $wpdb;
	
	$out='';
	$results=$wpdb->get_results('SELECT * FROM '.CA_HOP_TBL);
	if(!empty( $results) )
	{	
		
		$out.='<table class="widefat striped"><thead><tr><th>'.esc_html( __('Edit','church-admin' ) ).'</th><th>'.esc_html( __('Delete','church-admin' ) ).'</th><th>'.esc_html( __('Job Title','church-admin' ) ).'</th></tr></thead><tbody>';
		foreach( $results AS $row)
		{
		$edit='<a href="'.wp_nonce_url('admin.php?page=church_admin/index.php&amp;action=edit_hope_team_job&amp;id='.intval( $row->hope_team_id),'hope_team_jobs').'">'.esc_html( __('Edit','church-admin' ) ).'</a>';
		$delete='<a  onclick="return confirm(\''.esc_html( __('Are you sure?','church-admin' ) ).'\');" href="'.wp_nonce_url('admin.php?page=church_admin/index.php&amp;action=delete_hope_team_job&amp;id='.intval( $row->hope_team_id),'delete_hope_team_job').'">'.esc_html( __('Delete','church-admin' ) ).'</a>';
		$out.='<tr><td>'.$edit.'</td><td>'.$delete.'</td><td>'.esc_html( $row->job).'</td></tr>';
		}
		$out.='</tbody></table>';
	}
	echo $out;

}
function church_admin_delete_hope_team_job( $id=NULL)
{
	global $wpdb;
	$wpdb->query('DELETE FROM '.CA_HOP_TBL.' WHERE hope_team_id="'.esc_sql( $id).'"');
	echo'<div class="notice notice-success inline">Job Deleted</div>';
		church_admin_hope_team_jobs();
}
function church_admin_edit_hope_team_job( $id=NULL)
{
	global $wpdb;
	echo'<h2>Edit Hope Team Job</h2>';
	if( $id)  {$job=$wpdb->get_var('SELECT job FROM '.CA_HOP_TBL.' WHERE hope_team_id="'.esc_sql( $id).'"');}else{$job='';}
	if(!empty( $_POST['save_job'] ) && !empty($_POST['job']) )
	{
		$job = sanitize_text_field( stripslashes( $_POST['job'] ) ) ;
		if ( empty( $id) && !empty($job) )$id=$wpdb->get_var('SELECT hope_team_id FROM '.CA_HOP_TBL.' WHERE job="'.esc_sql( $job ).'"');
		if ( empty( $id) )
		{
			$wpdb->query('INSERT INTO '.CA_HOP_TBL.' (job) VALUES("'.esc_sql( $job ).'")');
		}
		else
		{
			$wpdb->query('UPDATE '.CA_HOP_TBL.' SET job="'.esc_sql( $job ).'"  WHERE hope_team_id="'.(int)$id.'"');
		}
		echo'<div class="notice notice-success inline">'.esc_html( __('Job saved','church-admin' ) ).'</div>';
		church_admin_hope_team_jobs();
	}
	else
	{
		echo'<form action="" method="POST">';
	    echo'<p><label>'.esc_html( __('Job Name?','church-admin' ) ).'</label><input type="text" name="job" ';
		if(!empty( $job) ) echo 'value="'.esc_html( $job).'" ';
		echo'/></p>';
		 echo'<p class="submit"><input type="hidden" name="save_job" value="yes" /><input type="submit" class="button-primary" name="save" value="'.esc_html( __('Save','church-admin' ) ).' &raquo;" /></p></form></div>';
	}

}

function church_admin_edit_hope_team( $people_id)
{
	global $wpdb;
	echo'<h2>Edit Hope Team Personnel</h2>';
	if(!empty( $_POST['save_person'] ) )
	{
		
		$people_ids=maybe_unserialize(church_admin_get_people_id( sanitize_text_field( stripslashes( $_POST['who'] ) )  ) );
		
		if(!empty( $people_ids) )
		{
			foreach( $people_ids AS $person_id)
			{
				$wpdb->query('DELETE FROM '.CA_MET_TBL.' WHERE meta_type="hope_team" AND people_id="'.(int)$person_id.'"');
				$jobs=$wpdb->get_results('SELECT * FROM '.CA_HOP_TBL);
				foreach( $jobs AS $job)
				{
				
					if(!empty( $_POST['job-'.$job->hope_team_id] ) ) 
					{
						$sql='INSERT INTO '.CA_MET_TBL.' (meta_type,people_id,ID)VALUES("hope_team","'.(int)$person_id.'","'.esc_sql( $job->hope_team_id).'")';
						
						$wpdb->query( $sql);
					}
				}
				
					$wpdb->query('UPDATE '.CA_PEO_TBL.' SET other_hope_team="'.esc_sql(sanitize_text_field( stripslashes( $_POST['other']) ) ).'" WHERE people_id="'.esc_sql( $people_id).'"');
				
			}
			echo'<div class="notice notice-success inline"><p><strong>Hope Team edits saved</strong></p></div>';
		}
		
	}
	
		echo'<div id="church_admin"><form action="" method="POST">';
	    echo'<p><label>'.esc_html( __('Who?','church-admin' ) ).'</label>';
		echo church_admin_autocomplete("who",'friends','to',church_admin_get_people( $people_id),FALSE);
		$jobs=$wpdb->get_results('SELECT * FROM '.CA_HOP_TBL);
		foreach( $jobs AS $job)
		{
			 echo'<p><label>'.$job->job.'</label><input type=checkbox name="job-'.intval( $job->hope_team_id).'"  value="yes" /></p>';
		}
		echo'<p><label>Anything else</label><textarea name="other">';
		echo'</textarea></p>';
		 echo'<p class="submit"><input type="hidden" name="save_person" value="yes" /><input type="submit" name="choose_service" value="'.esc_html( __('Save','church-admin' ) ).' &raquo;" /></p></form></div>';
	
	
	
	
}

?>